from byubit import Bit


def to_overhang(bit):
    while not bit.can_move_right():
        bit.move()


def go_till_red(bit):
    while not bit.is_on_red():
        bit.move()


@Bit.worlds('dive-for-treasure', 'dive-for-deep-treasure')
def dive(bit):
    to_overhang(bit)
    bit.turn_right()
    go_till_red(bit)
    bit.paint('blue')


if __name__ == "__main__":
    dive(Bit.new_bit)
